
%global meadversion 1.6.0
%global namedversion 1.6.0.redhat-9
%global meadalpha .redhat_9
%global meadrel .1
%global serial 3
%global namedversionrel redhat-9

# Copyright (c) 2000-2012, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}apache-commons-pool}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.6.0.redhat-9

Name:           %{?scl_prefix}apache-commons-pool
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Apache Commons Pool Package
License:        ASL 2.0
Group:          Development/Libraries/Java

%if %with mead
Source100: commons-pool-1.6.0.redhat-9-scm-sources.zip
Source102: commons-pool-1.6.0.redhat-9.jar
Source103: commons-pool-1.6.0.redhat-9-project-sources.tar.gz
Source104: commons-pool-1.6.0.redhat-9-src.tar.gz
Source105: commons-pool-1.6.0.redhat-9-tomcat.jar
Source106: commons-pool-1.6.0.redhat-9-src.zip
Source107: commons-pool-1.6.0.redhat-9-sources.jar
Source108: commons-pool-1.6.0.redhat-9-bin.tar.gz
Source109: commons-pool-1.6.0.redhat-9.pom
Source110: commons-pool-1.6.0.redhat-9-bin.zip
%endif

URL:            http://commons.apache.org/pool/

Provides:       %{?scl_prefix}commons-pool = %{epoch}:%{version}-%{release}

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
The goal of Pool package it to create and maintain an object 
(instance) pooling package to be distributed under the ASF license.
The package should support a variety of pool implementations, but
encourage support of an interface that makes these implementations
interchangeable.
This package is for EAP7 use only -- see regular commons-pool package.

%package tomcat
Summary:        Commons Pool dependency for Tomcat 6 and 7
Group:          Development/Libraries/Java


%description tomcat
Commons Pool dependency for Tomcat 6 and 7.

%if %with javadoc
%package javadoc
Summary:        Javadoc for commons-pool
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n commons-pool -T -b 100

%build

%install
rm -rf %{buildroot}

##DEBUG
ls -l %{_sourcedir}

# jars
mkdir -p %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/commons-pool-%{namedversion}.jar \
      %{buildroot}%{_javadir}/commons-pool-%{namedversion}.jar

#tomcat jars
%{__cp} -p %{_sourcedir}/commons-pool-%{namedversion}-tomcat.jar \
      %{buildroot}%{_javadir}/commons-pool-tomcat-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/commons-pool-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/commons-pool-%{namedversion}-javadoc.jar
%endif

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/commons-pool-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/commons-pool-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/commons-pool-%{namedversion} -x META-INF/\*
%{__ln_s} commons-pool-%{namedversion} %{buildroot}%{_javadocdir}/commons-pool
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt NOTICE.txt README.txt RELEASE-NOTES.txt
%{_javadir}*/commons-pool-%{namedversion}.jar
%{_javadir}*/commons-pool.jar

%files tomcat
%defattr(0644,root,root,0755)
%{_javadir}*/commons-pool-tomcat-%{namedversion}.jar
%{_javadir}*/commons-pool-tomcat.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/commons-pool-%{namedversion}
%{_javadocdir}/commons-pool
%endif

%changelog
* Tue Dec 01 2015 Petr Sakar <psakar@redhat.com> - 1.6.0-3.redhat_9.1
- Upgrade to 1.6.0.redhat-9
generate sources.jar

* Mon Jun 15 2015 Permaine Cheung <pcheung@redhat.com> - 1.6.0-2.redhat_8.1
- Fix name of tomcat subpackage

* Mon Jun 15 2015 Permaine Cheung <pcheung@redhat.com> - 1.6.0-1.redhat_8.1
- EAP 7 build

* Fri Jun 12 2015 Permaine Cheung <pcheung@redhat.com> - 1.6-10.0.2
- EAP 7 build

* Fri Jun 12 2015 Permaine Cheung <pcheung@redhat.com> - 1.6-10.0.1
- EAP 7 build

* Fri Jun 12 2015 Permaine Cheung <pcheung@redhat.com> - 1-1.6.2
- EAP 7 build

* Fri Jun 12 2015 Permaine Cheung <pcheung@redhat.com> - 1.6.0-1.redhat_8.1
- First EAP 7 build

* Wed Dec 03 2014 Hui Wang <huwang@redhat.com> - 1.6.0-1.redhat_7.1
- OSGI version fix rebuild

* Wed Oct 16 2013 Hui Wang <huwang@redhat.com> - 0:1.6-7.redhat_5
- Rebuild for using internal source repo

* Tue Mar 26 2013 Yong Yang <yyang@redhat.com> - 0:1.6-6.redhat_4
- Separate tomcat assembly patch from vman patch

* Tue Mar 26 2013 Yong Yang <yyang@redhat.com> - 0:1.6-5.redhat_4
- Fix tomcat assembly
- Bring tomcat subpackage back

* Mon Mar 25 2013 Yong Yang <yyang@redhat.com> - 0:1.6-4.redhat_3
- Patch pom to do the process similar as pool-tomcat5-build.xml, added resource,antrun,jar plugin
- Add tomcat assembly configuration to generate tomcat jar for EWS

* Fri Feb 22 2013 Paul Gier <pgier@redhat.com> - 0:1.6-3.redhat_2
- Rebuild with 6.0.1 compatiblity for JDG

* Tue Feb 19 2013 Yong Yang <yyang@redhat.com> - 0:1.6-2.redhat_1
- Add maven depmap

* Mon Feb 18 2013 Yong Yang <yyang@redhat.com> - 0:1.6-1.redhat_1
- 1.6
- No tomcat jar

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.5.6-8.redhat_2.1
- Rebuild for MD5

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.5.6-7.redhat_2.1
- Build suffix

* Mon Jul 23 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.5.6-6.redhat_1.1
- Rebuild without signing

* Mon Jun 04 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.5.6-6.redhat_1
- Fix content of tomcat subpackage

* Mon Jun 04 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.5.6-5.redhat_1
- Add tomcat subpackage

* Fri May 25 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.5.6-4.redhat_1
- Clean MANIFEST

* Fri Apr 27 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.5.6-3.redhat_1
-Include sources in SRPM

* Wed Apr 18 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.5.6-2.redhat_1
- Fix Summary

* Wed Apr 18 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.5.6-1.redhat_1
- EAP6 Wrapper of apache-commons-pool

